<% include fragmentos/encabezado %>
<br>
<br>
<br>

<script src="javascripts/jquery-1.11.0.min.js"></script>



<form class="form-inline" action="/buscar_tarea" method="POST">
    <div class="form-group mx-sm-3 mb-2">
        <select class="form-control" name="campo_buscar" >
            <option value="tarea">Tarea</option>
            <option value="descripcion">Descripcion</option>
        </select>
        <input type="text" class="form-control" name="nombre_buscar" required>
    </div>
    <button type="submit" class="btn btn-primary mb-2">Buscar</button>
</form>


<form id="formulario" action="/guardar_tarea" method="POST">
    <input type="hidden" id="oculto" name="oculto" value="0">
    <div class="form-group">
        <input type="text" class="form-control" placeholder="Tarea" name="titulo" id="titulo">
    </div>
    <div class="form-group">
        <input type="text" class="form-control" placeholder="Descripcion" name="descripcion" id="descripcion">
    </div>
    <div class="form-check">
        <small>Estado:</small>
        <input type="radio" class="form-check-input" id="true" name="estado" value="true" checked="checked">
        <label class="form-check-label" for="true">True</label>
        <input type="radio" class="form-check-input" id="false" name="estado" value="false">
        <label class="form-check-label" for="false">False</label>
    </div>
    <br>

    <button type="submit" class="btn btn-primary">GUARDAR</button>
</form>

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Tarea</th>
            <th scope="col">Descrpcion</th>
            <th scope="col">Estado</th>
            <th scope="col">Acciones</th>
        </tr>
    </thead>
    
    
    <tbody>
        <% for (var i = 0; i < tarea.length; i++) { %>
        <% if(tarea[i].estado) {%>
        <tr>
            <th><%= (i+1) %></th>
            <td><%= tarea[i].titulo %></td>
            <td><%= tarea[i].descripcion %></td>
            <td><%= tarea[i].estado %></td>
            <td>
                <button id="<%=i%>" href='#' type="button" class="btn btn-primary">
                    Editar
                </button>
                <script>
                    $('#<%=i%>').click(function () {
                        $("#titulo").val('<%= tarea[i].titulo %>');
                        $("#descripcion").val('<%= tarea[i].descripcion %>');
                        $("#oculto").val('<%= tarea[i].id %>');
                        $('#formulario').attr('action', '/modificar_tarea');
                    });
                </script>
            </td>
        </tr>
        <% } %>
        <% } %>
    </tbody>
</table>





</body>
</html>

